#property show_inputs
//#property show_confirm

extern double Lots    = 0.01;
extern int Slippage   = 3;
extern int Stop_Loss  = 200;
extern int Take_Profit = 30;
extern int OrderIncrement = 10;

   //global
double Poin;

//+------------------------------------------------------------------+
//| script "Open a new Buy Order"                                    |
//+------------------------------------------------------------------+
int start(){
  
   double Price = WindowPriceOnDropped();
   bool   result;
   int    cmd,total,error,slippage;
   
   double Price1,Price2,Price3;
   double take_profit1,take_profit2,take_profit3;
   double stop_loss;

   if (Point == 0.00001) Poin = 0.0001; 
   else if (Point == 0.001) Poin = 0.01; 
   else Poin = Point; 

   slippage = Slippage*Poin;
   
   if(Bid > Price){   
    
    Price1=Price;
    Price2=Price1 - OrderIncrement * Poin;
    Price3=Price2 - OrderIncrement * Poin;
    
    stop_loss = Price + Stop_Loss * Poin;
   
    take_profit1 = Price1 - Take_Profit * Poin; 
    take_profit2 = Price2 - Take_Profit * Poin; 
    take_profit3 = Price3 - Take_Profit * Poin; 
   
   result = OrderSend(Symbol(),OP_SELLSTOP,Lots,Price1,slippage,stop_loss,take_profit1,"",0,0,CLR_NONE);
   result = OrderSend(Symbol(),OP_SELLSTOP,Lots,Price2,slippage,stop_loss,take_profit2,"",0,0,CLR_NONE);
   result = OrderSend(Symbol(),OP_SELLSTOP,Lots,Price3,slippage,stop_loss,take_profit3,"",0,0,CLR_NONE);
   }
   if(Bid < Price){
    Price1=Price;
    Price2=Price1 + OrderIncrement * Poin;
    Price3=Price2 + OrderIncrement * Poin;
   
    stop_loss = Price + Stop_Loss * Poin;
    
    take_profit1 = Price1 - Take_Profit * Poin; 
    take_profit2 = Price2 - Take_Profit * Poin; 
    take_profit3 = Price3 - Take_Profit * Poin; 
 
  
   result = OrderSend(Symbol(),OP_SELLLIMIT,Lots,Price1,slippage,stop_loss,take_profit1,"",0,0,CLR_NONE);
   result = OrderSend(Symbol(),OP_SELLLIMIT,Lots,Price2,slippage,stop_loss,take_profit2,"",0,0,CLR_NONE);
   result = OrderSend(Symbol(),OP_SELLLIMIT,Lots,Price3,slippage,stop_loss,take_profit3,"",0,0,CLR_NONE);
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+